package com.ruoyi.system;

import com.ruoyi.common.security.annotation.EnableCustomConfig;
import com.ruoyi.common.security.annotation.EnableRyFeignClients;
import com.ruoyi.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 系统模块
 * 
 * @author ruoyi
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
public class RuoYiSystemApplication
{
    public static void main(String[] args)
    {
        //System.setProperty(GrpcConstants.NACOS_SERVER_GRPC_PORT_OFFSET_KEY,"1");
        SpringApplication.run(RuoYiSystemApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  系统模块启动成功   ლ(´ڡ`ლ)ﾞ  \n" +
            "  _    _                   _          \n" +
            " | |  | |                 | |         \n" +
            " | |__| |_   _  __ _   ___| |__   ___ \n" +
            " |  __  | | | |/ _` | / __| '_ \\ / _ \\\n" +
            " | |  | | |_| | (_| | \\__ \\ | | |  __/\n" +
            " |_|  |_|\\__,_|\\__,_| |___/_| |_|\\___|\n");
    }
}
